{
	"pages": [
		{
		    "path" : "pages/index/index",
		    "style" :                                                                                    
		    {
		        "navigationBarTitleText": "home"
		    }
		},{
			"path": "pages/template/addTemplate",
			"style": {
				"navigationBarTitleText": "新增功能"
			}
		},
		{
			"path": "pages/demo/common",
			"style": {
				"navigationBarTitleText": "功能示例"
			}
		},
		{
			"path": "pages/demo/list",
			"style": {
				"navigationBarTitleText": "列表"
			}
		},

		{
			"path": "pages/demo/areaSelect",
			"style": {
				"navigationBarTitleText": "地区选择"
			}
		},
		{
			"path": "pages/demo/popup",
			"style": {
				"navigationBarTitleText": "弹窗"
			}
		},
		{
			"path": "pages/demo/prompt",
			"style": {
				"navigationBarTitleText": "弹窗输入框"
			}
		},
		{
			"path": "pages/demo/swipeAction",
			"style": {
				"navigationBarTitleText": "滑动操作"
			}
		},
		{
			"path": "pages/demo/parser",
			"style": {
				"navigationBarTitleText": "富文本预览"
			}
		},
		{
			"path": "pages/demo/formDemo",
			"style": {
				"navigationBarTitleText": "表单模板"
			}
		},
		{
			"path": "pages/demo/themeColor",
			"style": {
				"navigationBarTitleText": "项目主题色介绍"
			}
		},
		{
			"path": "pages/demo/navBarMemo/index",
			"style": {
				"navigationBarTitleText": "头部导航示例"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo",
			"style": {
				"navigationBarTitleText": "案例"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo1",
			"style": {
				"navigationBarTitleText": "案例1"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo2",
			"style": {
				"navigationBarTitleText": "案例2"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo3",
			"style": {
				"navigationBarTitleText": "案例3"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo4",
			"style": {
				"navigationBarTitleText": "案例4"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo5",
			"style": {
				"navigationBarTitleText": "案例5"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo6",
			"style": {
				"navigationBarTitleText": "案例6"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo7",
			"style": {
				"navigationBarTitleText": "案例7"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo8",
			"style": {
				"navigationBarTitleText": "案例8"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo9",
			"style": {
				"navigationBarTitleText": "案例9"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo10",
			"style": {
				"navigationBarTitleText": "案例10"
			}
		},
		{
			"path": "pages/demo/navBarMemo/demo11",
			"style": {
				"navigationBarTitleText": "案例11"
			}
		},
		{
			"path": "pages/demo/waterfall/common",
			"style": {
				"navigationBarTitleText": "瀑布流列表"
			}
		},
		{
			"path": "pages/demo/waterfall/stableWaterfall",
			"style": {
				"navigationBarTitleText": "稳定版瀑布流"
			}
		},
		{
			"path": "pages/demo/waterfall/completeWaterfall",
			"style": {
				"navigationBarTitleText": "完全版瀑布流"
			}
		},
		{
			"path": "pages/template/webView",
			"style": {
				"navigationBarTitleText": "",
				"navigationStyle": "default"
			}
		},
		{
			"path": "pages/template/common",
			"style": {
				"navigationBarTitleText": "模板"
			}
		},

		{
			"path": "pages/user/bindPhone",
			"style": {
				"navigationBarTitleText": "绑定手机号"
			}
		},
		{
			"path": "pages/user/forget",
			"style": {
				"navigationBarTitleText": "忘记密码"
			}
		},
		{
			"path": "pages/user/protocol",
			"style": {
				"navigationBarTitleText": "协议"
			}
		},
		{
			"path": "pages/user/register",
			"style": {
				"navigationBarTitleText": "注册"
			}
		},
		{
			"path": "pages/user/login",
			"style": {
				"navigationBarTitleText": "登录"
			}
		},
		{
			"path": "pages/sdkDemo/common",
			"style": {
				"navigationBarTitleText": "API示例"
			}
		},
		{
			"path": "pages/sdkDemo/uploadFile",
			"style": {
				"navigationBarTitleText": "图片上传/文件上传"
			}
		},
		{
			"path": "pages/sdkDemo/quUploadFile",
			"style": {
				"navigationBarTitleText": "七牛云图片上传/文件上传"
			}
		},
		{
			"path": "pages/sdkDemo/appletsLogin",
			"style": {
				"navigationBarTitleText": "小程序登录"
			}
		},
		{
			"path": "pages/sdkDemo/appUpdate",
			"style": {
				"navigationBarTitleText": "APP版本更新"
			}
		},
		{
			"path": "pages/sdkDemo/location",
			"style": {
				"navigationBarTitleText": "获取当前经纬度（兼容公众号、APP、微信小程序）"
			}
		},
		{
			"path": "pages/sdkDemo/pay",
			"style": {
				"navigationBarTitleText": "支付（兼容公众号、APP、微信小程序）"
			}
		},
		{
			"path": "pages/sdkDemo/permission",
			"style": {
				"navigationBarTitleText": "APP权限判断和跳转到系统设置"
			}
		},
		{
			"path": "pages/sdkDemo/publicLogin",
			"style": {
				"navigationBarTitleText": "公众号登录（附带推荐人code）"
			}
		},
		{
			"path": "pages/sdkDemo/publicSdk",
			"style": {
				"navigationBarTitleText": "公众号SDK权限获取"
			}
		},
		{
			"path": "pages/sdkDemo/request",
			"style": {
				"navigationBarTitleText": "接口请求（全端支持）"
			}
		},
		{
			"path": "pages/sdkDemo/saveImg",
			"style": {
				"navigationBarTitleText": "保存图片到相册（APP、小程序支持）"
			}
		},
		{
			"path": "pages/sdkDemo/share",
			"style": {
				"navigationBarTitleText": "分享（APP、小程序、公众号支持）"
			}
		},
		{
			"path": "pages/sdkDemo/socket",
			"style": {
				"navigationBarTitleText": "webSocket介绍"
			}
		},
		{
			"path": "pages/sdkDemo/loginIntercept",
			"style": {
				"navigationBarTitleText": "登录拦截（公众号、APP、微信小程序）"
			}
		},
		{
			"path": "pages/sdkDemo/utils",
			"style": {
				"navigationBarTitleText": "常用工具"
			}
		},
		{
			"path": "pages/template/pay",
			"style": {
				"navigationBarTitleText": "支付"
			}
		},
		{
			"path": "pages/demo/shortVideo",
			"style": {
				"navigationBarTitleText": "防抖音滑动视频"
			}
		}, 
		{
			"path": "pages/template/home",
			"style": {
				"navigationBarTitleText": "首页"
			}
		},
		{
			"path": "pages/template/editInfo",
			"style": {
				"navigationBarTitleText": "个人信息"
			}
		},
		{
			"path": "pages/template/goodsPoster",
			"style": {
				"navigationBarTitleText": "商品海报生成"
			}
		},
		{
			"path": "pages/template/scanCode",
			"style": {
				"navigationBarTitleText": "推广海报生成"
			}
		}
	    ,{
            "path" : "pages/mine/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Mine"
            }
        },{
            "path" : "pages/mine/info",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Personal details"
            }
        }
        ,{
            "path" : "pages/wallet/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "my wallet"
            }
            
        }
        ,{
            "path" : "pages/wallet/recharge",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "recharge"
            }
        }
        ,{
            "path" : "pages/wallet/switchnetwork",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "switch network"
            }
        },{
            "path" : "pages/wallet/putforward",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Put forward"
            }
        }
        ,{
            "path" : "pages/wallet/ExtractResults",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Extract Results"
            }
            
        }
        ,{
            "path" : "pages/wallet/fundrecords",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Fund records"
            }
            
        }
        ,{
            "path" : "pages/wallet/transfer",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Transfer"
            }
            
        }
        ,{
            "path" : "pages/Setting/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Setting"
            }         
        }
        ,{
            "path" : "pages/mine/notice",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "notice"
            }
        },{
            "path" : "pages/mine/noticedetails",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "notice details"
            }
        },{
            "path" : "pages/Setting/setPin",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "PIN code setting"
            }
        },{
            "path" : "pages/Setting/setPasswork",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "login password"
            }
        }
        ,{
            "path" : "pages/Setting/languages",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "languages"
            }
        },{
            "path" : "pages/power/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "Computing power"
            }
        }
        ,{
            "path" : "pages/about/details",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "details"
            }
            
        }
        ,{
            "path" : "pages/about/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "about"
            }
        },{
            "path" : "pages/about/help",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "help"
            }
        }
		,{
		    "path" : "pages/address/index",
		    "style" :                                                                                    
		    {
		        "navigationBarTitleText": "address"
		    }
		},{
		    "path" : "pages/address/add",
		    "style" :                                                                                    
		    {
		        "navigationBarTitleText": "add address"
		    }
		}
        ,{
            "path" : "pages/promotion/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "promotion"
            }
        }
        ,{
            "path" : "pages/promotion/list",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "list"
            }
        },{
            "path" : "pages/promotion/invite",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "invite"
            }
        },{
            "path" : "pages/questionnaire/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "index"
            }
        },{
            "path" : "pages/questionnaire/details",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "To answer"
            }
        },{
            "path" : "pages/questionnaire/answer",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "answer"
            }
        }
        ,{
            "path" : "pages/mine/login",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "login"
            }
        },{
            "path" : "pages/mine/signup",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "signup"
            }
        }
        ,{
            "path" : "pages/mine/forgotpassword",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "forgot password"
            }
        },{
            "path" : "pages/mine/upgrade",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "upgrade"
            }
        }
        ,{
            "path" : "pages/im/index",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
            
        }
        ,{
            "path" : "pages/im/chat",
            "style" :                                                                                    
            {
                "navigationBarTitleText": "",
                "enablePullDownRefresh": false
            }
            
        }
    ],
	"globalStyle": {
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uni-app",
		"navigationBarBackgroundColor": "#FFFFFF",
		"backgroundColor": "#FFFFFF",
		"navigationStyle": "custom"
	},
	"tabBar": {
		"color": "#444444",
		"selectedColor": "#1D61FF",
		"borderStyle": "black",
		"backgroundColor": "#ffffff",
		"list": [{
				"pagePath": "pages/index/index",
				"iconPath": "static/images/home.png",
				"selectedIconPath": "static/images/home1.png",
				"text": "Home Page",
				"iconSize": 48
			},
			{
				"pagePath": "pages/questionnaire/index",
				"iconPath": "static/images/Question.png",
				"selectedIconPath": "static/images/Question1.png",
				"text": "Questionnaire",
				"iconSize": 48
			},
			{
				"pagePath": "pages/promotion/index",
				"iconPath": "static/images/Promotion.png",
				"selectedIconPath": "static/images/Promotion1.png",
				"text": "Promotion",
				"iconSize": 48
			},
			{
				"pagePath": "pages/im/index",
				"iconPath": "static/images/im.png",
				"selectedIconPath": "static/images/im1.png",
				"text": "IM",
				"iconSize": 48
			},
			{
				"pagePath": "pages/mine/index",
				"iconPath": "static/images/Mine.png",
				"selectedIconPath": "static/images/Mine1.png",
				"text": "Mine",
				"iconSize": 48
			}
		]
	},
	"condition": { //模式配置，仅开发期间生效
		"current": 0, //当前激活的模式(list 的索引项)
		"list": [{
			"name": "", //模式名称
			"path": "", //启动页面，必选
			"query": "" //启动参数，在页面的onLoad函数里面得到
		}]
	},
	"easycom": {
		"autoscan": true,
		"custom": {
			// uni-ui 规则如下配置
			"^uni-(.*)": "@dcloudio/uni-ui/lib/uni-$1/uni-$1.vue"
		}
	}
}
